---
title: "Reverse Withdrawal"
source_url: https://docs.rapyd.net/en/reverse-withdrawal.html
lang: en
---

# Reverse Withdrawal

Reverse a withdrawal of funds from a wallet.

Use this method if a Withdraw operation fails.

> **Note:**
>
> The base URL for the POS production environment is **https://pos.rapyd.net**. It requires its own access key, which is different from the access key for the Payment API. To obtain an access key for the POS production environment and to set up a sandbox environment for the POS API, contact **[Rapyd Client Support](https://support.rapyd.net)**.

### Parameters

### Request Path Parameters

- - account (string, required)
  - ID of the user account. UUID.
- - reversed_amount (float, required)
  - Amount to reverse. Decimal.

### Request Header Parameters

- - access_key (string, required)
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type (string, required)
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - operation_id (string)
  - Operation ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").
- - phone_number (string)
  - Phone number of the Rapyd wallet in E.164 format.
- - token_id (string)
  - Token ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").
- - transaction_id (string)
  - ID of the withdrawal transaction. UUID.

### Response Parameters

- - transaction_id (string)
  - ID of the withdrawal transaction. UUID.
- - operation_id (string)
  - Operation ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").

- /v1/pos/reversal/{account}/{reversed_amount}

- Reverse Withdrawal
- ```curl
  curl -X post
  https://sandboxpos.rapyd.net/v1/pos/reversal/4f436024-c3be-11e7-9273-0ef1982c1e4a/10.99
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "0",
          "status": "SUCCESS",
          "message": "",
          "operation_id": "bb77c943-3e8e-4109-839c-9c404c3f1d42"
      },
      "data": {
          "transaction_id": "",
          "operation_id": "10aaa017-c4ee-4003-bbaf-0e7bbe4e64c4"
      }
  }
  ```
